@use 'vue-multiselect/dist/vue-multiselect.css';
@use '../core/placeholders/input';

// Overrides
.multiselect {
  $min-height: var(--input-height);

  min-height: unset;
  color: var(--state-color-green-alt);

  &__select {
    height: $min-height;
    color: inherit;

    &::before {
      border-color: currentcolor transparent transparent;
      color: inherit;
    }
  }

  &__single {
    min-height: $min-height;
    margin-bottom: 0;
    background-color: transparent;
    line-height: 1.6em;
  }

  &__tags {
    min-height: $min-height;
    padding: 2px var(--spacer-small);
    border: none;
    border-radius: var(--border-radius);
    background-color: var(--state-color-green);
    font-size: inherit;
  }

  &__input {
    margin-top: 2px;
    margin-bottom: 0;
  }

  &__placeholder {
    margin-bottom: 0;
    color: var(--state-color-mute);
  }

  &__content-wrapper {
    min-height: 0;
    border-color: var(--state-color-green);
    background-color: var(--component-content-background);
    color: var(--foreground-color);
  }

  &__content {
    background: var(--component-content-background);
  }

  &__element {
    margin-left: 0;
  }

  &__option {
    &--selected {
      background-color: var(--component-content-background);

      &.multiselect__option--highlight {
        background-color: var(--state-color-red);
        color: var(--state-color-red-alt);
      }
    }
  }

  &--under {
    .multiselect__content-wrapper {
      border-bottom: 1px solid var(--state-color-green);
      border-bottom-left-radius: var(--border-radius);
      border-bottom-right-radius: var(--border-radius);
    }
  }

  &--above {
    .multiselect__content-wrapper {
      border-top: 1px solid var(--state-color-green);
      border-top-left-radius: var(--border-radius);
      border-top-right-radius: var(--border-radius);
    }
  }

  &--disabled {
    background-color: transparent;

    .multiselect {
      &__select {
        background-color: transparent;
      }
    }
  }
}

.rui-modal__content {

  // Augments modal height instead of overflowing
  .multiselect__content-wrapper { position: absolute; }
}
